Bug 209218 - Type-Ahead feature works different then expected
Type-Ahead feature works different then expected
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: system-config-keyboard (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-03 17:35 EDT by Andreas Thienemann
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-30 17:39:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot showing the problem (84.36 KB, image/png)
2006-10-03 17:35 EDT, Andreas Thienemann
no flags Details
Drop described issue. (542 bytes, patch)
2006-11-15 07:25 EST, Andy Shevchenko
no flags Details | Diff

  None (edit)
Description Andreas Thienemann 2006-10-03 17:35:38 EDT
During the installation when selecting the Keyboard Layout, one can click into
the list and type the language one is looking for.

When typing "German" the curser jumps to the "Greek" layout however.

I would expect the Type-Ahead feature to set the cursor onto the first "German"
entry in the list.
Comment 1 Andreas Thienemann 2006-10-03 17:35:40 EDT
Created attachment 137697 [details]
Screenshot showing the problem
Comment 2 Chris Lumens 2006-10-04 17:09:35 EDT
This will be fixed in system-config-keyboard-1.2.9, which should be in the next
released RHEL5 tree.
Comment 3 Andy Shevchenko 2006-11-15 07:24:41 EST
The additional patch is required to fix tui part.
Similar to GUI fix the patch hacks list sorting by decription instead of real 
keymaps.

Please, review attached patch and apply it to mainstream. Thank you.
Comment 4 Andy Shevchenko 2006-11-15 07:25:39 EST
Created attachment 141259 [details]
Drop described issue.

Note You need to log in before you can comment on or make changes to this bug.